Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize.transition
Class XMLSerializer

    java.lang.Object
      |
      +--org.apache.xml.serialize.transition.BaseMarkupSerializer
            |
            +--org.apache.xml.serialize.transition.XMLSerializer

public final class XMLSerializer
extends BaseMarkupSerializer

Implements an XML serializer supporting both DOM and SAX pretty serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

See Also:
  `Serializer`

Constructor Summary
`XMLSerializer()` Constructs a new serializer.
`XMLSerializer(OutputFormat format)` Constructs a new serializer.
`XMLSerializer(java.io.OutputStream output, OutputFormat format)` Constructs a new serializer that writes to the specified output stream using the specified output format.
`XMLSerializer(java.io.Writer writer, OutputFormat format)` Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`void` | `endElement(java.lang.String tagName)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)`
`boolean` | `isCDataElement(java.lang.String namespaceURI, java.lang.String localName)` Returns true if the text node children of the given elements should be output as CDATA.
`boolean` | `isNonEscapingElement(java.lang.String namespaceURI, java.lang.String localName)` Returns true if the text node children of the given elements should be output as CDATA.
`void` | `setOutputFormat(OutputFormat format)`
`void` | `startElement(java.lang.String tagName, AttributeList attrs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, Attributes attrs)`

Methods inherited from class org.apache.xml.serialize.transition.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, comment, comment, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, externalEntityDecl, getOutputFormat, getOutputStream, getWriter, ignorableWhitespace, internalEntityDecl, notationDecl, processingInstruction, reset, serialize, serialize, serialize, serializeXPathReturnNode, setDocumentLocator, setOutputStream, setWriter, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSerializer

    public XMLSerializer()

  Constructs a new serializer. The serializer cannot be used without calling `#setOutputCharStream` or `#setOutputByteStream` first.

### XMLSerializer

    public XMLSerializer(OutputFormat format)

  Constructs a new serializer. The serializer cannot be used without calling `#setOutputCharStream` or `#setOutputByteStream` first.

### XMLSerializer

    public XMLSerializer(java.io.Writer writer,
                         OutputFormat format)

  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.
  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### XMLSerializer

    public XMLSerializer(java.io.OutputStream output,
                         OutputFormat format)

  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.
  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Overrides:
    setOutputFormat in class BaseMarkupSerializer

### isCDataElement

    public boolean isCDataElement(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Returns true if the text node children of the given elements should be output as CDATA.
  Parameters:
    `tagName` - The element's tag name
  Returns:
    True if should serialize as CDATA

### isNonEscapingElement

    public boolean isNonEscapingElement(java.lang.String namespaceURI,
                                        java.lang.String localName)

  Returns true if the text node children of the given elements should be output as CDATA.
  Parameters:
    `tagName` - The element's tag name
  Returns:
    True if should serialize as CDATA

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attrs)

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)

### startElement

    public void startElement(java.lang.String tagName,
                             AttributeList attrs)

### endElement

    public void endElement(java.lang.String tagName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.